<?php

namespace App\Modules\WebContactMessageDetail\Domain;

use App\Modules\WebContactMessage\Domain\IdWebContactMessage;

interface WebContactMessageDetailRepository
{
    public function index(IdWebContactMessageDetail $id);
    public function find(IdWebContactMessage $idWebContact, string $action);
    public function insert(WebContactMessageDetail $value);
    public function update(WebContactMessageDetail $value);
    public function delete(IdWebContactMessageDetail $id);
}
